For the complete documentation index, see llms.txt. This page is also available as Markdown.

Product

Scrape Lowe's product pages by product ID, with support for store and delivery ZIP localization.

The lowes_product data source is designed to retrieve Lowe's product pages.

Request samples

In the samples below, we make a request to retrieve a product page for 5012490299.

curl 'https://realtime.oxylabs.io/v1/queries' \
--user 'USERNAME:PASSWORD' \
-H 'Content-Type: application/json' \
-d '{
        "source": "lowes_product",
        "product_id": "5012490299",
        "store_id": 2752,
        "delivery_zip": "22313",
        "render": "html"
    }'
import requests
from pprint import pprint


# Structure payload.
payload = {
    'source': 'lowes_product',
    'product_id': '5012490299',
    'store_id': 2752,
    'delivery_zip': '22313',
    'render': 'html'
}

# Get response.
response = requests.request(
    'POST',
    'https://realtime.oxylabs.io/v1/queries',
    auth=('USERNAME', 'PASSWORD'),
    json=payload,
)

# Instead of response with job status and results url, this will return the
# JSON response with the result.
pprint(response.json())

Request parameter values

Generic

Basic setup and customization options for scraping Lowe's product pages.

Parameter
Description
Default Value

source

Sets the scraper.

universal

product_id

Lowe's product ID.

-

render

Enables JavaScript rendering when set to html. More info.

-

callback_url

URL to your callback endpoint. More info

-

user_agent_type

Device type and browser. The full list can be found here.

desktop

- mandatory parameter

Localization

Customize results based on store locations, delivery areas.

Parameter
Description
Default Value
Type

store_id

Specify a store.

-

Integer

delivery_zip

Specify delivery location ZIP code.

-

String

Last updated

Was this helpful?